package com.ruoyi.web.yh.price.domain.vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.constants.DictType;
import com.ruoyi.common.core.domain.entity.SysDictType;
import com.ruoyi.web.yh.logImportDetail.domain.interfaces.ImportContent;
import com.ruoyi.web.yh.price.domain.Price;
import com.ruoyi.web.yh.price.domain.PriceVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.poi.ss.usermodel.IndexedColors;

/**
 * @author wjh
 * 2024/11/8
 */
@Data
public class PriceImportContentVO extends Price implements ImportContent {

    @Excel(
            name = "导入结果",
            dictType = DictType.LOG_IMPORT_DETAIL_TYPE,
            comboReadDict = true,
            backgroundColor = IndexedColors.YELLOW,
            headerBackgroundColor = IndexedColors.YELLOW,
            color = IndexedColors.RED,
            headerColor = IndexedColors.RED,
            sort = 0
    )
    private String importResult;

    @Excel(
            name = "导入信息",
            width = 30,
            backgroundColor = IndexedColors.YELLOW,
            headerBackgroundColor = IndexedColors.YELLOW,
            color = IndexedColors.RED,
            headerColor = IndexedColors.RED,
            sort = 1
    )
    private String importMessage;

    @Excel(name = "部门名称", prompt = "必填")
    @ApiModelProperty("部门名称")
    private String deptName;
}
