package com.ruoyi.web.yh.prodOrder.domain;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 生产订单对象 bst_prod_order
 *
 * @author ruoyi
 * @date 2024-11-11
 */
@Data
public class ProdOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "ERP单据ID")
    @ApiModelProperty("ERP单据ID")
    private String erpId;

    @Excel(name = "ERP单据编号")
    @ApiModelProperty("ERP单据编号")
    private String erpBillNo;

    @Excel(name = "ERP单据状态")
    @ApiModelProperty("ERP单据状态")
    private String erpDocumentStatus;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "ERP创建日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("ERP创建日期")
    private LocalDateTime erpCreateDate;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "ERP修改日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("ERP修改日期")
    private LocalDateTime erpModifyDate;

    @Excel(name = "ERP备注")
    @ApiModelProperty("ERP备注")
    private String erpDescription;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "ERP单据日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("ERP单据日期")
    private LocalDateTime erpDate;

    @Excel(name = "ERP是否返工")
    @ApiModelProperty("ERP是否返工")
    private Boolean erpIsRework;

    @Excel(name = "ERP明细行标识")
    @ApiModelProperty("ERP明细行标识")
    private String erpRowId;

    @Excel(name = "ERP明细备注")
    @ApiModelProperty("ERP明细备注")
    private String erpMemoItem;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "ERP明细下达日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("ERP明细下达日期")
    private LocalDateTime erpConveyDate;

    @Excel(name = "ERP明细业务状态")
    @ApiModelProperty("ERP明细业务状态")
    private String erpStatus;

    @Excel(name = "ERP明细生产车间ID")
    @ApiModelProperty("ERP明细生产车间ID")
    private String erpWorkShopId;

    @Excel(name = "ERP明细需求来源")
    @ApiModelProperty("ERP明细需求来源")
    private String erpReqSrc;

    @Excel(name = "ERP明细数量")
    @ApiModelProperty("ERP明细数量")
    private BigDecimal erpQty;

    @Excel(name = "部门ID")
    @ApiModelProperty("部门ID")
    private Long deptId;

    @Excel(name = "ERP明细基本单位数量")
    @ApiModelProperty("ERP明细基本单位数量")
    private BigDecimal erpBaseUnitQty;

    @Excel(name = "ERP明细单位")
    @ApiModelProperty("ERP明细单位")
    private String erpUnitId;

}
