package com.ruoyi.web.yh.report.mapper;

import java.util.List;
import com.ruoyi.web.yh.report.domain.Report;
import com.ruoyi.web.yh.report.domain.ReportVO;
import com.ruoyi.web.yh.report.domain.ReportQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 报表Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-18
 */
public interface ReportMapper
{
    /**
     * 查询报表
     *
     * @param reportId 报表主键
     * @return 报表
     */
    public ReportVO selectReportByReportId(Long reportId);

    /**
     * 查询报表列表
     *
     * @param query 报表
     * @return 报表集合
     */
    public List<ReportVO> selectReportList(@Param("query")ReportQuery query);

    /**
     * 新增报表
     *
     * @param report 报表
     * @return 结果
     */
    public int insertReport(Report report);

    /**
     * 修改报表
     *
     * @param report 报表
     * @return 结果
     */
    public int updateReport(@Param("data") Report report);

    /**
     * 删除报表
     *
     * @param reportId 报表主键
     * @return 结果
     */
    public int deleteReportByReportId(Long reportId);

    /**
     * 批量删除报表
     *
     * @param reportIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteReportByReportIds(Long[] reportIds);

    /**
     * 根据查询条件修改数据
     */
    int updateByQuery(@Param("data") Report data, @Param("query") ReportQuery query);

}
