package com.ruoyi.web.yh.reportUserProd.service.impl;

import com.ruoyi.common.utils.collection.CollectionUtils;
import com.ruoyi.web.yh.reportProd.domain.ReportProdVO;
import com.ruoyi.web.yh.reportUserProd.domain.ReportUserProdQuery;
import com.ruoyi.web.yh.reportUserProd.domain.ReportUserProdVO;
import com.ruoyi.web.yh.reportUserProd.service.ReportUserProdAssembler;
import com.ruoyi.web.yh.reportUserProd.service.ReportUserProdService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author wjh
 * 2024/11/2
 */
@Service
public class ReportUserProdAssemblerImpl implements ReportUserProdAssembler {

    @Autowired
    private ReportUserProdService reportUserProdService;

    @Override
    public void assembleUserProd(List<ReportProdVO> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return;
        }

        ReportUserProdQuery query = new ReportUserProdQuery();
        query.setProdIds(CollectionUtils.map(list, ReportProdVO::getId));
        Map<Long, List<ReportUserProdVO>> group = reportUserProdService.selectReportUserProdList(query)
                .stream().collect(Collectors.groupingBy(ReportUserProdVO::getProdId));

        for (ReportProdVO prod : list) {
            List<ReportUserProdVO> userProdList = group.get(prod.getId());
            if (userProdList == null) {
                prod.setUserProdList(new ArrayList<>());
            } else {
                prod.setUserProdList(userProdList);
            }
        }

    }
}
